
const divResposta = document.getElementById("divResposta");
const btnLogin = document.getElementById("btnLogin");
const txtEmail = document.getElementById("txtEmail");
const txtSenha = document.getElementById("txtSenha");

btnLogin.onclick = onclick_btnLogin;

function onclick_btnLogin(){

    const v_email = txtEmail.value;
    const v_senha = txtSenha.value;
    const objJson = {
        email:v_email,
        senha:v_senha
    }
    ajax_post_verificarLogin(objJson);
}

function ajax_post_verificarLogin(objJson){
    const stringJson = JSON.stringify(objJson);
    const uri = "/login";
    fetch(uri, {
        method: "POST",
        body: stringJson
    }).then((response) => {
        return response.text();
    }).then((jsonResposta) => {

        console.log("RECEBIDO:", jsonResposta);
        const objetoJson = JSON.parse(jsonResposta);
        //alert(objetoJson.token);
        if(objetoJson.status==true){
			let stringJsonFuncionario = JSON.stringify(objetoJson.funcionario);
            
            localStorage.setItem("token",objetoJson.token);
			localStorage.setItem("jsonFuncionario",stringJsonFuncionario);

            window.location="PainelAdm.html"
        }else{
            divResposta.appendChild(document.createTextNode(objetoJson.msg))
        }
        
    }).catch((error) => {
        console.error("Error:", error);
    });      
}